package com.quant.entity;

import java.sql.Timestamp;

/**
 * UserSms entity. @author MyEclipse Persistence Tools
 */

public class UserSms implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer uid;
	private String mobile;
	private String code;
	private String content;
	private Integer status;
	private Integer smsType;
	private Timestamp postTime;
	private String ip;

	// Constructors

	/** default constructor */
	public UserSms() {
	}

	/** full constructor */
	public UserSms(Integer uid, String mobile, String code, String content,
			Integer status, Integer smsType, Timestamp postTime, String ip) {
		this.uid = uid;
		this.mobile = mobile;
		this.code = code;
		this.content = content;
		this.status = status;
		this.smsType = smsType;
		this.postTime = postTime;
		this.ip = ip;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getSmsType() {
		return this.smsType;
	}

	public void setSmsType(Integer smsType) {
		this.smsType = smsType;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

	public String getIp() {
		return this.ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

}